
Foreman - Feature #19243

Set reasonable request timeout for Rails application

04/11/2017 07:18 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1478364 Red Hat JIRA:  

Pull request:    

Description

When something wrongs happen in Rails and a request takes excessive amount of time, there is no timeout in Passenger (only

Enterprise supports it). Therefore Foreman misbehaves, one process is blocked and in the worst case it eats all memory rendering

the instance to be unusable until OOM kills this process.

This is a proposal to use some tool to timeout requests after reasonable time of 5 minutes. One of the tools we could use is little gem

https://github.com/heroku/rack-timeout that does the job and works well with Passenger.

Related issues:

Related to Foreman - Bug #19244: Old interfaces are never removed from Forema... Closed 04/11/2017

History

#1 - 04/11/2017 07:19 AM - Lukas Zapletal

- Difficulty set to trivial

#2 - 04/11/2017 07:26 AM - Lukas Zapletal

- Related to Bug #19244: Old interfaces are never removed from Foreman DB added

#3 - 08/04/2017 08:45 AM - Chris Duryee

- Bugzilla link set to 1478364

#4 - 07/19/2018 06:32 AM - Aditi Puntambekar

- Assignee set to Aditi Puntambekar

- Triaged set to No

#5 - 08/07/2018 01:06 PM - Aditi Puntambekar

- Assignee deleted (Aditi Puntambekar)

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://github.com/heroku/rack-timeout
http://www.tcpdf.org

